TrustKeeper Scan Engine Update - October 15, 2013

Summary

The latest update to the TrustKeeper scan engine is ready to rock and roll. The release contains coverage for 9 new vulnerabilities including coverage for Microsoft Windows, Microsoft Sharepoint, Movable Type, Wordpress and more. The release also includes a number of updates to our default credential checks, so we can better identify those pesty default accounts on Telnet, SSH and other common services.

In additional to vulnerabilities, the release includes part 1 of 2 updates we're making to improve our Ubuntu OS fingerprinting logic, which I described earlier this week in another blog post. The changes in this release include the introduction of an unsupported version finding for end of life (EOL) Ubuntu versions and the final change will improve the top-level OS guess for a given target.

Lastly, and as always, this release includes a number of improvements to existing tests and supporting evidence to better help with vulnerability detection and remediation efforts.

New Vulnerability Test Highlights

Some of the more interesting vulnerability tests we added recently are as follows:

Microsoft

Movable Type

  • Movable Type Cross-Site Scripting Vulnerability in dbuser parameter in mt-wizard.cgi page (CVE-2012-1262)

Wordpress

  • Authorship Spoofing Vulnerability in Wordpress via user_ID (CVE-2013-4340)
  • HTTP Redirect URL Validation Vulnerability in Wordpress (CVE-2013-4339)
  • Cross-site Scripting Vulnerability in get_allowed_mime_types Wordpress Function (CVE-2013-5738)

How to Update?

All Trustwave customers using the TrustKeeper Scan Engine receive the updates automatically as soon as an update is available. No action is required.

Trustwave reserves the right to review all comments in the discussion below. Please note that for security and other reasons, we may not approve comments containing links.